Bug 24507 - Checkouts/ReturnClaim.t is failing on MySQL 8
Summary: Checkouts/ReturnClaim.t is failing on MySQL 8
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 14697
Blocks: 23996
  Show dependency treegraph
 
Reported: 2020-01-24 10:14 UTC by Jonathan Druart
Modified: 2020-02-14 17:50 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.03


Attachments
Bug 24507: Make Checkouts/ReturnClaim.t pass on MySQL 8 (1.47 KB, patch)
2020-01-24 10:15 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24507: Make Checkouts/ReturnClaim.t pass on MySQL 8 (1.62 KB, patch)
2020-01-24 12:29 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-01-24 10:14:27 UTC
$ prove t/db_dependent/Koha/Checkouts/ReturnClaim.t
t/db_dependent/Koha/Checkouts/ReturnClaim.t .. 
    #   Failed test 'Exception field is correct'
    #   at t/db_dependent/Koha/Checkouts/ReturnClaim.t line 97.
    #          got: 'return_claims.issue_id'
    #     expected: 'issue_id'
    # Looks like you failed 1 test of 8.
t/db_dependent/Koha/Checkouts/ReturnClaim.t .. 1/1 
#   Failed test 'store() tests'
#   at t/db_dependent/Koha/Checkouts/ReturnClaim.t line 133.

This is similar to bug 23825.
Comment 1 Jonathan Druart 2020-01-24 10:15:49 UTC
Created attachment 97864 [details] [review]
Bug 24507: Make Checkouts/ReturnClaim.t pass on MySQL 8

$ prove t/db_dependent/Koha/Checkouts/ReturnClaim.t
 t/db_dependent/Koha/Checkouts/ReturnClaim.t ..
     #   Failed test 'Exception field is correct'
     #   at t/db_dependent/Koha/Checkouts/ReturnClaim.t line 97.
     #          got: 'return_claims.issue_id'
     #     expected: 'issue_id'
     # Looks like you failed 1 test of 8.
 t/db_dependent/Koha/Checkouts/ReturnClaim.t .. 1/1
 #   Failed test 'store() tests'
 #   at t/db_dependent/Koha/Checkouts/ReturnClaim.t line 133.

This is similar to bug 23825.

Test plan:
Confirm that the tests pass on MySQL8 and MariaDB
Comment 2 Tomás Cohen Arazi 2020-01-24 12:29:13 UTC
Created attachment 97876 [details] [review]
Bug 24507: Make Checkouts/ReturnClaim.t pass on MySQL 8

 $ prove t/db_dependent/Koha/Checkouts/ReturnClaim.t
 t/db_dependent/Koha/Checkouts/ReturnClaim.t ..
     #   Failed test 'Exception field is correct'
     #   at t/db_dependent/Koha/Checkouts/ReturnClaim.t line 97.
     #          got: 'return_claims.issue_id'
     #     expected: 'issue_id'
     # Looks like you failed 1 test of 8.
 t/db_dependent/Koha/Checkouts/ReturnClaim.t .. 1/1
 #   Failed test 'store() tests'
 #   at t/db_dependent/Koha/Checkouts/ReturnClaim.t line 133.

This is similar to bug 23825.

Test plan:
Confirm that the tests pass on MySQL8 and MariaDB

Signed-off-by: Tomás Cohen Arazi <tomascohen@theke.io>
Comment 3 Tomás Cohen Arazi 2020-01-24 12:30:01 UTC
Trivial fix, tested on ku-my8. Passing QA.
Comment 4 Martin Renvoize 2020-01-24 15:21:27 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-02-10 22:31:26 UTC
Pushed to 19.11.x for 19.11.03
Comment 6 Lucas Gass 2020-02-14 17:50:54 UTC
missing dependencies for 19.05.x, no backport